### Method

# Gimp Image freeze_channels

#### Declaration [src]

    gboolean
    gimp_image_freeze_channels (
      GimpImage* image
    )

#### Description [src]

Freeze the image’s channel list.

This procedure freezes the channel list of the image, suppressing any updates to the Channels dialog in response to changes to the image’s channels. This can significantly improve performance while applying changes affecting the channel list.

Each call to `gimp_image_freeze_channels()` should be matched by a corresponding call to gimp_image_thaw_channels(), undoing its effects.

Available since: | 2.10.2

#### Return value

Returns: | `gboolean`
| TRUE on success.